% ====================================
% Calc_Cp_curve.m
% CBP 07-11-21
% ====================================

lambda = [0:0.01:16.0];

beta = 0.0;
lambda_dash = 1.0./( 1.0./(lambda + 0.08*beta) - 0.035/(beta^3 + 1.0));
c1 = 0.5167;
c2 = 116./lambda_dash;
c3 = 0.4;
c4 = 0.0;
c5 = 5.0;
c6 = 21.0./lambda_dash;
c7 = 0.0068;

Cp = c1*(c2 - c3*beta - c4*beta^2 - c5).*exp(-c6) + c7*lambda;

plot(lambda,Cp);
axis([0,20,0,0.5]);
grid;
set(gca,"fontsize",14);
xlabel('tip speed ratio (lambda)');
ylabel('power coefficient (Cp)');

% legend({'lambda','Cp'},'Location','southeast')
% title(['R = ' num2str(R) '   rW = ' num2str(rW)])
