% ====================================
% Calc_Power_Omega_curve.m
% CBP 07-11-21
% ====================================

v = input('Input wind speed (/s) ');
omega = [0:5/100:5.0];
R = 50.0; % Siemens
R = 41.0; % Enercon

lambda = omega*R/v;
rho = 1.2;

beta = 0.0;
lambda_dash = 1.0./( 1.0./(lambda + 0.08*beta) - 0.035/(beta^3 + 1.0));
c1 = 0.5167;
c2 = 116./lambda_dash;
c3 = 0.4;
c4 = 0.0;
c5 = 5.0;
c6 = 21.0./lambda_dash;
c7 = 0.0068;

Cp = c1*(c2 - c3*beta - c4*beta^2 - c5).*exp(-c6) + c7*lambda;
Power = 0.5*rho*pi*R^2*Cp*v^3;

figure(1)
plot(lambda,Cp);
axis([0,15,0,0.5]);
grid;
set(gca,"fontsize",14);
xlabel('tip speed ratio (lambda)');
ylabel('power coefficient (Cp)');
title(' Cp versus lambda');

figure(2)
plot(omega,Power/1e6);
axis([0,5,0,inf]);
grid;
set(gca,"fontsize",14);
xlabel('rotor speed (rad/sec)');
ylabel('power output (MW)');
title('power versus rotor speed for given wind speed');
% legend({'lambda','Cp'},'Location','southeast')
% title(['R = ' num2str(R) '   rW = ' num2str(rW)])
